- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
List of all members
qi::TypeImpl< char * > Class Template Reference

`#include <stringtypeinterface.hxx>`

## Additional Inherited Members
Public Types inherited from qi::TypeCStringImpl
using | Methods = DefaultTypeImplMethods< char *, TypeByValue< char * >>
Public Types inherited from qi::StringTypeInterface
using | RawString = std::pair< char *, size_t >
using | Deleter = boost::function< void(const RawString &)>
using | ManagedRawString = std::pair< RawString, Deleter >
Public Member Functions inherited from qi::TypeCStringImpl
ManagedRawString | get (void *storage) override
void | set (void **storage, const char *ptr, size_t sz) override
| Set the value of the string. More...
void * | clone (void *src) override
| Allocate a storage and copy the value given as an argument. More...
void | destroy (void *src) override
| Free all resources of a storage. More...
| _QI_BOUNCE_TYPE_METHODS_NOCLONE (Methods)
Public Member Functions inherited from qi::StringTypeInterface
std::string | getString (void *storage)
| Get a copy of the string value. More...
void | set (void **storage, const std::string &value)
| Set the value of the string. More...
TypeKind | kind () override
Public Member Functions inherited from qi::TypeInterface
virtual | ~TypeInterface ()=default
virtual const TypeInfo & | info ()=0
| Get the TypeInfo corresponding to this type. More...
virtual void * | initializeStorage (void *ptr=nullptr)=0
virtual void * | ptrFromStorage (void **)=0
virtual bool | less (void *a, void *b)=0
const char * | infoString ()
qi::Signature | signature (void *storage=nullptr, bool resolveDynamic=false)
Static Public Member Functions inherited from qi::TypeInterface
static TypeInterface * | fromSignature (const qi::Signature &sig)

## Detailed Description

### template<>
class qi::TypeImpl< char * >

Definition at line 78 of file stringtypeinterface.hxx.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/stringtypeinterface.hxx